(get-started)=
# 🚀 Get Started

:::{toctree}
:maxdepth: 1
:hidden:
install.md
dataset_generation.md
evaluation.md
:::

Welcome to the HintEval tutorials! If you're new to HintEval, our Get Started guides will introduce you to the core concepts and help you get started. These tutorials are designed for users with a basic understanding of Python and hint generation and evaluation tasks.

Before proceeding, ensure you have [HintEval installed](./install.md)!

:::{note}
These tutorials provide a high-level overview of what you can achieve with HintEval and the essential skills needed to use it effectively. For a more detailed breakdown of HintEval's core concepts, visit the [Core Concepts](../concepts/index.md) page. You can also check out the [How-to Guides](../howtos/index.md) for specific use cases of HintEval.
:::

If you have any questions about HintEval, feel free to ask in our [GitHub repository](https://github.com/DataScienceUIBK/HintEval).

Let's dive in!

:::{card} Generate a Synthetic Hint Dataset
:link: get-started-dataset-generation
:link-type: ref

Learn how to generate `Question/Answer/Hint` triplets to get started.
:::

:::{card} Evaluating Your Hint Dataset
:link: get-started-evaluation
:link-type: ref

Find out how to evaluate your dataset using hint evaluation metrics.
:::