(how-to-guides-applications)=

# Applications

This section provides examples and use cases to showcase how **HintEval** can be applied to solve various challenges you may encounter when using the framework.

:::{toctree}
:caption: Applications
:hidden:

rag_pipeline.md
use_finetuning_model.md
:::


Explore practical examples that demonstrate how to leverage the power of HintEval in different applications.

:::{card} Using Hints in RAG
:link: how-to-guides-applications-rag
:link-type: ref

Learn how to integrate hints in RAG (Retrieval-Augmented Generation) pipelines for enhanced problem-solving.
:::

:::{card} Using Finetuned Model
:link: how-to-guides-applications-finetuning
:link-type: ref

Understand how to use a finetuned model to generate new hints that fit your use case.
:::

These examples provide insights into using the HintEval framework for real-world applications, demonstrating its flexibility and value in different scenarios.