(how-to-guides)=
# 🛠️ How-to Guides

:::{toctree}
:caption: How-to Guides
:hidden:

customizations/index.md
applications/index.md
:::

The how-to guides provide an in-depth look at the tools and features offered by HintEval and how to effectively use them. These guides are designed to help you tackle more complex, real-world use cases when building your pipelines with the framework.

It's recommended that you're familiar with the basics of HintEval before diving into these guides. If you're new to the framework, check out the [Get Started](../getstarted/index.md) section first.

The guides are divided into two main sections:

:::{card} Customizations
:link: how-to-guides-customizations
:link-type: ref

Learn how to customize HintEval for your specific needs. This includes tasks like implementing custom evaluation metrics, managing caches, and handling checkpoints.
:::

:::{card} Applications
:link: how-to-guides-applications
:link-type: ref

Discover how to apply the HintEval framework to solve various real-world challenges, such as RAG pipelines and using your fine-tuned models.
:::
