# Introduction
:::{toctree}
:hidden:
getstarted/index.md
concepts/index.md
howtos/index.md
references/index.rst
community/index.md
:::

HintEval is a powerful framework designed for both generating and evaluating hints. These hints serve as subtle clues, guiding users toward the correct answer without directly revealing it. As the first tool of its kind, HintEval allows users to create and assess hints from various perspectives.


::::{grid} 2

:::{grid-item-card} 🚀 Get Started
:link: get-started
:link-type: ref

Get started by learning the basics of HintEval, including how to install it, explore key metrics, and evaluate hints. You will also discover how to generate synthetic hint sets to perform thorough evaluations.

:::

:::{grid-item-card} 📚 Core Concepts
:link: core-concepts
:link-type: ref

Gain a deeper understanding of key topics with high-level explanations, including how to approach dataset generation, how the metrics perform under the hood, and the process of generating synthetic hint datasets.
:::
:::{grid-item-card} 🛠️ How-to Guides
:link: how-to-guides
:link-type: ref

Explore practical guides designed to help you achieve specific goals. These resources will show you how to leverage HintEval to tackle real-world problems effectively.
:::

:::{grid-item-card} 📖 References
:link: references
:link-type: ref

Technical descriptions of how HintEval classes and methods work.
:::
::::
